#! /usr/local/bin/perl

	#|-----------------------------------------------------# 
	#| Script(c);
	#| Copyright(C) 2006 Masayuki Tsuneto, Gunji Yamashita
	#| Allrights reserved
	#| written by Masayuki Tsuneto, Gunji Yamashita
	#| Last Modified on: 2020/10/16
	#|-----------------------------------------------------#


my $c_ver ="Ver.201016";

use strict;
use Win32::ODBC;
use Win32::Clipboard;
use File::Copy;
use CGI::Carp qw(fatalsToBrowser);
require 'jcode.pl';
use GD::Barcode::QRcode;

my $kj_hogo="on";
my $x1 = "0";
my $y1 = "0";
my $x2 = "1000";
my $y2 = "500";
my $rp_time="4";
my $byome="on";
my $moji1= "";
my $moji2= "";
my $moji3= "";
my $font1= "2";
my $pdata_ex= "off";
my $henkan= "1";
my $isi_his= "off";
my $backup= "off";
my $RSB_rendo= "on";
my $rendou_pg= "1";
my $isimei ="";
my $tantonomi= "on";
my $kai2shoken="off";
my $backup_f="";
my $kubun= "off";
my $RSB_out= "off";
my $shoken_month="36";
my $pdata_import= "off";
my $hist_rendo= "off";

if(-e "./C_setup.dat"){
open(FILE,"<./C_setup.dat") || die "File Open Error2!\n";
my @line =<FILE>;
chomp @line;
$kj_hogo=$line[0];
$x1 = $line[1];
$y1 = $line[2];
$x2 = $line[3];
$y2 = $line[4];
$rp_time=$line[5];
$byome=$line[7];
$moji1=$line[8];
$moji2=$line[9];
$moji3=$line[10];
$font1=$line[11];
$pdata_ex=$line[14];
$henkan=$line[15];
$isi_his=$line[16];
$backup=$line[18];
$RSB_rendo=$line[30];
$rendou_pg=$line[31];
$isimei=$line[32];
$tantonomi=$line[33];
$kai2shoken=$line[34];
$backup_f=$line[37];
$kubun=$line[43];
$RSB_out=$line[44];
$shoken_month=$line[47];
$pdata_import=$line[48];
$hist_rendo=$line[49];
close(FILE);
}


my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time -259200);
my $pstday= sprintf("%04d\/%02d\/%02d", $year + 1900, $mon +1, $mday);


($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
my $year2 = $year +1900;my $month2 = $mon + 1;my $mday2 = $mday;my $wday2 = $wday;
my $today = sprintf("%04d\/%02d\/%02d", $year + 1900, $mon +1, $mday);
my $today2 = sprintf("%04d%02d%02d", $year + 1900, $mon +1, $mday);
my $ymonth = sprintf("%04d%02d", $year + 1900, $mon +1);

my $now_time = sprintf("%04d\/%02d\/%02d %02d:%02d:%02d", $year + 1900, $mon +1, $mday, $hour, $min, $sec);

my @year_p=();my @month_p=();
$year_p[0] = sprintf("%04d", $year + 1900);
$month_p[0] = sprintf("%02d", $mon +1);

my $year_n=$year_p[0];my $month_n=$month_p[0];

if($shoken_month eq ""){$shoken_month = "12";}

for (my $i=1; $i<$shoken_month ;$i++)
	{
	if ($month_n eq "01")
		{
		$year_p[$i]=$year_n - 1;$month_p[$i]=12;
		}else{
		$year_p[$i]=$year_n;
		$month_p[$i]=$month_n - 1;$month_p[$i] = sprintf("%02d", $month_p[$i]);
		}
	$year_n=$year_p[$i];$month_n=$month_p[$i];
	}

my @week = ("","","","","","","y");

my ($RS_lan , $sv_name , $drv_name , $RS_IP , $adress , $clinic , $Dr_name , $TEL , $xml_rendo);

if(-e "./init.dat")
	{
	open(FILE,"<./init.dat") || die "File Open Error3!\n";
	my @line =<FILE>;
#	my@RS_init =();
	my @RS_init = split(/,/,$line[2]);
	$RS_lan = $RS_init[1];$sv_name = $RS_init[5];$drv_name = $RS_init[6];$RS_IP = $RS_init[7];
	$adress = $RS_init[10];$clinic = $RS_init[11];$Dr_name = $RS_init[12];$TEL = $RS_init[13];
	my @RS_init2 = split(/\|/,$line[2]);
	$xml_rendo = $RS_init2[407];
	close(FILE);
	}

my $lan_fld="\.\/";
my $lan_adr="http://localhost/~rsn/";

if($RS_lan eq "on")
	{
	$lan_fld="//".$sv_name."/".$drv_name."/Users/rsn/public_html/";
	$lan_adr="http://".$RS_IP."/~rsn/";
	}

my $temp_fld=$lan_fld . "C_temp/";
if (!-e $temp_fld){mkdir ($temp_fld, 0666);}


my $ID_file = "./C_lastID.dat";

my $lastID=0;
my $ukesu_zen=0;
my $uke_pre="";
my $kaimati_pre="";

if(-e $ID_file){
	open (FILE,"<$ID_file") || die "File Open Error4!\n";
	my @line =<FILE>;
	chomp @line;
	$lastID=$line[0];
	$ukesu_zen=$line[1];
	$uke_pre=$line[2];
	$kaimati_pre =$line[3];
	close(FILE);
}


my $C_rendo = "./C_rendo.dat";

my $id_mae =0;

if(-e $C_rendo){
	open (FILE,"<$C_rendo") || die "File Open Error4!\n";
	my @line =<FILE>;
	chomp @line;
	$id_mae =$line[0];
	close(FILE);
}


my $nxt_fld="./nxttime/";

if (!-e $nxt_fld){mkdir ($nxt_fld, 0666);}


###################  e[u  ##############################

# $db = "nKarte";

#----ODBCł́AJZ_MONSIN,uketuke21,SINSATU******̃e[úASQLŃtB[hw肵ȂƓǂ߂Ȃ@ӁI

my $JZ_MONSIN = "JZ_MONSIN";

my $field01 = "ID";
my $field02 = "g̏";
my $field03 = "i";
my $field04 = "";
my $field05 = "L";
my $field06 = "̉";

my $uketuke21 = "uketuke21";

my $field11 = "ID";
my $field12 = "O";
my $field13 = "ж";
my $field14 = "XV";
my $field15 = "󋵃tO";
my $field16 = "tt";
my $field17 = "f@t";
my $field18 = "N";
my $field1A = "敪P";
my $field1B = "敪Q";
my $field1C = "敪R";
my $field1D = "敪S";
my $field1E = "敪T";

my @SINSATU=();

for (my $i =0; $i<$shoken_month; $i++)
{
$SINSATU[$i] = "SINSATU" . $year_p[$i].$month_p[$i];
}

my $field21 = "ID";
my $field22 = "g̏";
my $field23 = "i";
my $field24 = "";
my $field25 = "l@";
my $field26 = "]";
my $field27 = "w";
my $field28 = "";
my $field29 = "f@";
my $field31 = "폜׸";
my $field32 = "C׸";
my $field33 = "Jn";
my $field34 = "f@ԍ";
my $field35 = "t";

my $kan_joho ="kan_joho";

my $field81 = "ID";
my $field82 = "";
my $field83 = "Q";
my $field84 = "R";
my $field85 = "Ƒ";
my $field86 = "ƑQ";
my $field87 = "ƑR";
my $field88 = "֊";
my $field89 = "";
my $field8A = "nDi";
my $field8B = "nDiQ";
my $field8C = "t";

my $uke_titl ="uke_titl";

my $fieldC1 = "敪P";
my $fieldC2 = "敪Q";
my $fieldC3 = "敪R";
my $fieldC4 = "敪S";
my $fieldC5 = "敪T";


# $db2 = "nCalnart";

my $KANJMS21F = "KANJMS21F";

my $field51 = "DIDNO";
my $field52 = "DKANRI";
my $field53 = "DH_NAME";
my $field54 = "DH_FURI";
my $field55 = "DH_ADD1";
my $field56 = "DH_ADD2";
my $field57 = "DH_TEL1";
my $field58 = "DH_NOM";
my $field59 = "DH_KIG";
my $field60 = "DH_KNO";
my $field41 = "DH_SYU";
my $field42 = "DH_YUK";

my $field43 = "DH_ZOKU";
my $field44 = "DR_NOM";
my $field45 = "DR_JUK";
my $field46 = "DR_RITU";
my $field47 = "DF_KIG";
my $field48 = "DF_YUK";
my $field49 = "DJ_RITU";

my $field101 = "DK1_NOM";
my $field102 = "DK1_JUK";
my $field103 = "DK1_SYU";
my $field104 = "DK1_YUK";
my $field105 = "DK1_RITU";
my $field106 = "DK1_GEND";


my $KANJMS21H = "KANJMS21H";

my $field61 = "DIDNO";
my $field62 = "DKANRI";
my $field63 = "DBIRTH";
my $field64 = "DSEX";

my @SINNIKE=();

for (my $i =0; $i<$shoken_month; $i++)
{
$SINNIKE[$i] = "SINNIKE" . $year_p[$i].$month_p[$i];
}

my $field71 = "DNIDNO";
my $field72 = "DNKANRI";
my $field73 = "DNDATE";
my $field74 = "DNDOJI";
my $field75 = "DNTLTEN";
my $field76 = "DNFUTKN";
my $field77 = "DNITIBU";
my $field78 = "DNSEIKY";
my $field79 = "DNNYUKI";



#################@e[u`FbN@########################


my $C_tblst_d = "./C_tblst_d.dat";

my @ddoc_table;

my %chk_dd;

if(-e $C_tblst_d){

	my @tblst_d = stat $C_tblst_d;
	my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime($tblst_d[9]);
	my $tblst_d_time = sprintf("%04d\/%02d\/%02d", $year + 1900, $mon +1, $mday);

		open (FILE,"<$C_tblst_d") || die "File Open Error15!\n";
		@ddoc_table =<FILE>;
		chomp @ddoc_table;
		close(FILE);

		undef %chk_dd;
		for(@ddoc_table){ $chk_dd{$_} = 1; }

		my $kongetu_d = "SINSATU" . $year_p[0] . $month_p[0];

	if($tblst_d_time ne $today || $chk_dd{$kongetu_d} ne "1" || $chk_dd{$JZ_MONSIN} ne "1")
		{

		my $dbs =new Win32::ODBC("DSN=Deardoctor");
		@ddoc_table = $dbs->TableList();
		$dbs->Close();

		open (FILE,">C_tblst_d.dat") || die "File Open Error6!\n";
		foreach(@ddoc_table)
			{
			print FILE $_ . "\n";
			}
		close(FILE);

		}
}else{

	my $dbs =new Win32::ODBC("DSN=Deardoctor");
	@ddoc_table = $dbs->TableList();
	$dbs->Close();

	open (FILE,">C_tblst_d.dat") || die "File Open Error6!\n";
	foreach(@ddoc_table)
		{
		print FILE $_ . "\n";
		}
	close(FILE);
}



undef %chk_dd;
for(@ddoc_table){ $chk_dd{$_} = 1; }


my @SINSA_tbl=();

for(my $i=0;$i<$shoken_month;$i++)
{
	if($chk_dd{"$SINSATU[$i]"} eq "1")
	{
	push (@SINSA_tbl,$SINSATU[$i]);
	}
}




my $C_tblst_c = "./C_tblst_c.dat";

my @cln_table =();

my %chk_cl;

if(-e $C_tblst_c){

	my @tblst_c = stat $C_tblst_c;
	my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime($tblst_c[9]);
	my $tblst_c_time = sprintf("%04d\/%02d\/%02d", $year + 1900, $mon +1, $mday);

		open (FILE,"<$C_tblst_c") || die "File Open Error15!\n";
		@cln_table =<FILE>;
		chomp @cln_table;
		close(FILE);

		undef %chk_cl;
		for(@cln_table){ $chk_cl{$_} = 1; }

		my $kongetu_c = "SINNIKE" . $year_p[0] . $month_p[0];

	if($tblst_c_time ne $today || $chk_cl{$kongetu_c} ne "1")
		{

		my $dbs =new Win32::ODBC("DSN=Calnart");
		@cln_table = $dbs->TableList();
		$dbs->Close();

		open (FILE,">C_tblst_c.dat") || die "File Open Error6!\n";
		foreach(@cln_table)
			{
			print FILE $_ . "\n";
			}
		close(FILE);

		}
}else{

	my $dbs =new Win32::ODBC("DSN=Calnart");
	@cln_table = $dbs->TableList();
	$dbs->Close();

	open (FILE,">C_tblst_c.dat") || die "File Open Error6!\n";
	foreach(@cln_table)
		{
		print FILE $_ . "\n";
		}
	close(FILE);
}


undef %chk_cl;
for(@cln_table){ $chk_cl{$_} = 1; }


my @SINNI_tbl=();

for(my $i=0;$i<$shoken_month;$i++)
{
	if($chk_cl{"$SINNIKE[$i]"} eq "1")
	{
	push (@SINNI_tbl,$SINNIKE[$i]);
	}
}



############### uketuke21e[uQ #########################


my @uketuke_3=();
my @uketuke_5=();


my $id_rendo =0;

my $dbs =new Win32::ODBC("DSN=Deardoctor");

my $SQL;

if($tantonomi eq "on" && $isimei ne "")
{
	$SQL = "select $field11,$field12,$field13,$field14,$field15,$field16,$field17,$field18,$field1A,$field1B,$field1C,$field1D,$field1E from $uketuke21 where $field16 = '$today' and $field17 = '$isimei' order by $field14";
}else{
	$SQL = "select $field11,$field12,$field13,$field14,$field15,$field16,$field17,$field18,$field1A,$field1B,$field1C,$field1D,$field1E from $uketuke21 where $field16 = '$today' order by $field14";
}


$dbs->Sql("$SQL");

	while ( $dbs->FetchRow() ){
		my %Fields= $dbs->DataHash();
		my $Cell_11 = $Fields{"$field11"};		# ID
		my $Cell_12 = $Fields{"$field12"};		# O
		my $Cell_13 = $Fields{"$field13"};		# ж
		my $Cell_14 = $Fields{"$field14"};		# XV
		my $Cell_15 = $Fields{"$field15"};		# 󋵃tO
		my $Cell_16 = $Fields{"$field16"};		# tt@@gĂȂ悤AA
		my $Cell_17 = $Fields{"$field17"};		# f@t@@gĂȂ悤AA
		my $Cell_18 = $Fields{"$field18"};		# N
		my $Cell_1A = $Fields{"$field1A"};		# 敪P
		my $Cell_1B = $Fields{"$field1B"};		# 敪Q
		my $Cell_1C = $Fields{"$field1C"};		# 敪R
		my $Cell_1D = $Fields{"$field1D"};		# 敪S
		my $Cell_1E = $Fields{"$field1E"};		# 敪T

		my $cntx = join("," , ($Cell_11 , $Cell_14 , $Cell_15));
		push (@uketuke_3,$cntx);

		$cntx = join("\t" , ($Cell_14 , $Cell_11 , $Cell_12 , $Cell_13 , $Cell_15 , $Cell_18 , $Cell_1A , $Cell_1B , $Cell_1C , $Cell_1D , $Cell_1E));
		push (@uketuke_5,$cntx);

		if($Cell_15 eq "f@"){$id_rendo = $Cell_11;}
	}

$dbs->Close();



	my @sinmati = grep(!/vI|f@I/,@uketuke_5);

	my @kaisumi = grep(/vI/,@uketuke_3);
	my $kaisumi = @kaisumi;

	my $sinsumi = grep(/f@I/,@uketuke_3);
	my @kaimati = grep(!/vI/,@uketuke_3);

	my $sinsatuchu = grep(/f@/,@uketuke_3);






###################### t^Cg ###########################

my ($Cell_C1 , $Cell_C2 , $Cell_C3 , $Cell_C4 , $Cell_C5);

if($kubun eq "on"){

my $dbs =new Win32::ODBC("DSN=Deardoctor");

$SQL = "select * from $uke_titl";

$dbs->Sql("$SQL");
	while ( $dbs->FetchRow() ){
		my %Fields= $dbs->DataHash();
		$Cell_C1 = $Fields{"$fieldC1"};	# 敪P
		$Cell_C2 = $Fields{"$fieldC2"};	# 敪Q
		$Cell_C3 = $Fields{"$fieldC3"};	# 敪R
		$Cell_C4 = $Fields{"$fieldC4"};	# 敪S
		$Cell_C5 = $Fields{"$fieldC5"};	# 敪T
	}
$dbs->Close();

}




###################### dqJeɘA ###########################

my @id_sin=();

my $id_rendo2;
my $rendo_f;
my $msg;

if($RSB_rendo eq "on" || $hist_rendo eq "on")
{

	if($isimei ne "")
	{
		my $Cell_81="0";

		my $dbs =new Win32::ODBC("DSN=Deardoctor");

		$SQL = "select * from $kan_joho where $field8C = '$isimei'";

		$dbs->Sql("$SQL");

			while ( $dbs->FetchRow() ){
				my %Fields= $dbs->DataHash();
				$Cell_81 = $Fields{"$field81"};		# ID
				$Cell_81 = int($Cell_81);
				push(@id_sin,$Cell_81);
				$id_rendo = $Cell_81;
			}

		$dbs->Close();

	}




	if($RSB_rendo eq "on" && $xml_rendo eq "no")
	{
		$msg = "RS_BaseƘAgɂ́ARS_Base̊{́A(9)xmlHttp_id3Ag yes ɂĉ";
	}




	if($id_rendo ne $id_mae)
	{

		my $clip;
		my $cb;


		open (FILE,">$C_rendo") || die "File Open Error 61!\n";
		print FILE $id_rendo;
		close(FILE);


		if($RSB_rendo eq "on")
		{

			if($xml_rendo eq "yes")
			{

				$rendo_f ="./ID.dat";
				open (FILE,">$rendo_f") || die "File Open Error 51!\n";

				if($id_rendo eq "0"){
					$id_rendo2 = "999999999999999";
				}else{
					$id_rendo2 = $id_rendo;
				}
				print FILE $id_rendo2;
				close(FILE);

		#	}else{
		#
		#
		#		$rendo_f ="C:/RSB_TEMP/ID.dat";
		#		open (FILE,">$rendo_f") || die "File Open Error 52!\n";
		#		print FILE $id_rendo;
		#		close(FILE);
		#
		#		$clip =Win32::Clipboard();
		#		$cb ="9876543210";
		#		$clip->Set($cb);

			}

		}


		if($hist_rendo eq "on")
		{

				$rendo_f ="./C_ID.dat";

			&lock;
				open (FILE,">$rendo_f") || die "File Open Error 53!\n";
				print FILE $id_rendo;
				close(FILE);
			&unlock;

				$clip =Win32::Clipboard();
				$cb ="0123456789";
				$clip->Set($cb);

		}


	}


}






############### JZ_MONSIN e[uQ #########################

my %monsin = ();

if($chk_dd{"$JZ_MONSIN"} eq "1")
{

my $dbs =new Win32::ODBC("DSN=Deardoctor");

$SQL = "select $field01,$field02,$field03,$field04,$field05,$field06 from $JZ_MONSIN where $field05 = '$today'";


$dbs->Sql("$SQL");

while ( $dbs->FetchRow() ){
		my %Fields= $dbs->DataHash();
		my $Cell_01 = $Fields{"$field01"};	# ID
		my $Cell_02 = $Fields{"$field02"};	# g̏
		my $Cell_03 = $Fields{"$field03"};	# i
		my $Cell_04 = $Fields{"$field04"};	# 
		my $Cell_05 = $Fields{"$field05"};	# L@gĂȂ
		my $Cell_06 = $Fields{"$field06"};	# ̉

		my $cntx = join("\t" , ($Cell_01 , $Cell_02 , $Cell_03 , $Cell_04 , $Cell_06));

		$monsin{"$Cell_01"} = $cntx;
	}

$dbs->Close();


}else{

$msg = "<Br><Br>!!cc̎Of܂xgĂȂ̂Ńf[^x[X܂Btʂ̂ePPāAOfɓo^ĉB";

}






############# \蕶AAT}[o############


my $uke_now = join("|" , @uketuke_3);	#$uke_now  5621,16:30:04,vI|10599,16:05:04,vI
					#$uke_pre  5621,16:30:04,vI|10599,16:05:04,f@

my @ex_ID =();

my %futan =();

if($uke_now ne $uke_pre && $chk_dd{"$SINSATU[0]"} eq "1" && $chk_cl{"$SINNIKE[0]"} eq "1")
{

	foreach(@uketuke_3)
		{
		if($uke_pre !~ /$_/)
			{

			my ($Cell_11,$Cell_14,$Cell_15) = split (/,/,$_);

				if($Cell_15 ne "f@")	#fÍs׃e[ufile open error
				{
				push(@ex_ID,$Cell_11);
				}

			}
		}


	if(@ex_ID){

			&msokr_ex;


			#---xIvV
			#	if($clinic =~ /퓡/){
			#		&prtshoho;
			#	}
			#----------------------------

		if($RSB_out eq "on" ){


			&shoken_ex;
			&sum_ex;



		}

	}

}



##############  ҏXV(PatData.csv)쐬  ###############

&pt_make;

my $ukesu;

if($pdata_ex eq "on")
{
	$ukesu = @uketuke_3;
	if($ukesu != $ukesu_zen)
		{
		&pt_data;
		}

}elsif($pdata_ex eq "on_2" && $pdata_import eq "on"){

	&pt_data2;

}



################### obNAbv쐬 ##########################

my @kaimati_2=();

foreach(@kaimati)
{
	my ($Cell_11,$Cell_14,$Cell_15) = split (/,/,$_);
	my $cntx = $Cell_11 . "," . $Cell_14;
	push(@kaimati_2,$cntx);
}

my $kaimati_now =join("|" , @kaimati_2);

my @kaimati_pre=();

if($backup eq "on") 
{

		if($kaimati_pre ne "")
			{
			@kaimati_pre = split (/\|/,$kaimati_pre);
			}


		my $kaimati_i=0;

		foreach(@kaimati_pre)
			{
			if($kaimati_now !~ /$_/)
				{
				$kaimati_i =$kaimati_i + 1;
				}
			}

	if($kaimati_i > 0 && $kaimati_i <4 && $chk_dd{"$SINSATU[0]"} eq "1" && $chk_cl{"$SINNIKE[0]"} eq "1") 
	{
	&backup;
	}

}



################### hct@CL^ ##############################

if($uke_now ne $uke_pre)
	{
	open (FILE,">$ID_file") || die "File Open Error6!\n";
	print FILE $lastID . "\n" . $ukesu . "\n" . $uke_now . "\n" . $kaimati_now;
	close(FILE);
	}

#----------- RSB.dat convert ----------

&laboconv;

#--------------------------------------


#####################		gslk	##############################


print "content-type: text/html\n\n";

print "<html>\n";
print "<head>\n";

print "<meta http-equiv = \"refresh\" content =\"$rp_time\" charset=Shift_JIS>\n";

print "<meta http-equiv=\"content-language\" content=\"ja\">\n";

print "<title>Of</title>\n";

print "</head>\n";

print "
 <script language = \"JavaScript\">
 <!--
function RSto()
{
window.moveTo($x1,$y1);
window.resizeTo($x2,$y2);
}
//-->
 </script>
";

print "<STYLE TYPE=\"text/css\">";
print "<!--";
print "A:link { text-decoration:none; color:blue }";
print "A:visited { text-decoration:none; color:blue }";
print "A:active { text-decoration:none; color:purple }";
print "A:hover { text-decoration:none; color:red;}";

print "table {border: solid 1px black; border-collapse: collapse;}";
print "table th, table td {border: solid 1px gray; border-collapse: collapse;}";

print "-->";
print "</STYLE>";

print "<body bgcolor = #EEEEEE onLoad = RSto()>\n";

print $msg;
#print @ex_ID;

#print $RSB_rendo."<br>";
#print $hist_rendo."<br>";
#print $id_rendo."<br>";


print "<div align=right><font size=$font1>";

print "$year2N@";
print "$month2@";
print "$mday2 ";
print "($week[$wday2])";

my $pt_sumi;
$pt_sumi=$kaisumi+$sinsumi;

my $pt_all=@uketuke_3;
my $pt_mati=$pt_all - $pt_sumi;

my $id_sin=@id_sin;

my $id_msg;
if($id_sin > 1)
{
$id_msg=join(",",@id_sin);
$id_msg="<div align=center><font color=red>ݕ̊҂𓯎f@ɂȂĂ܂BmFĉBf@IDF@".$id_msg."</font></div>";
}

print "@@@{t@" . $pt_all . " l@i"."f@ς݁F@" . $pt_sumi . "l@@f@҂F@" . $pt_mati . "lj";

print "<a href=\"http://localhost/~rsn/C_history2.cgi?show=\"0\"\" target=_blank>ߋJe</a>";
print "<a href=\"http://localhost/~rsn/C_turan2.cgi\" target=_blank>ʗ</a>";
print "<a href=\"http://localhost/~rsn/C_kensaku2.cgi\" target=_blank>Je</a>";
print "<a href=\"http://localhost/~rsn/C_setup2.cgi\" target=_blank>{ݒ聄</a>";

print "$c_ver" . "</font>";
print "<font size=$font1 color=red>"."  ODBC" . "</font>";
print "</div>";


print "<table align=center border=1 cellspacing=1 cellpadding=2>";

print "<TR bgcolor=#d3d3d3>";
print "<TH><font size=$font1>ID</TH>";
print "<TH><font size=$font1> </TH>";
print "<TH><font size=$font1> </TH>";
print "<TH><font size=$font1>g̏</TH>";
print "<TH><font size=$font1> i</TH>";
print "<TH><font size=$font1> </TH>";
print "<TH><font size=$font1>\\</TH>";
if($kubun eq "on"){
print "<TH width=25><font size=1>$Cell_C1</TH>";
print "<TH width=25><font size=1>$Cell_C2</TH>";
print "<TH width=25><font size=1>$Cell_C3</TH>";
print "<TH width=25><font size=1>$Cell_C4</TH>";
print "<TH width=25><font size=1>$Cell_C5</TH>";
}
print "<TH><font size=1> t</TH>";
print "</TR>";



foreach (@sinmati)
	{

	my ($Cell_14,$Cell_11,$Cell_12,$Cell_13,$Cell_15,$Cell_18,$Cell_1A,$Cell_1B,$Cell_1C,$Cell_1D,$Cell_1E) = split (/\t/,$_);



		my $monsin_str = $monsin{"$Cell_11"};

			$monsin_str =~ s/\x0D\x0A|\x0A/<br>/g;
			$monsin_str =~ s//(K)/g;$monsin_str =~ s//(T)/g;$monsin_str =~ s//(M)/g;$monsin_str =~ s/a/(dep)/g;

		my ($Cell_01,$Cell_02,$Cell_03,$Cell_04,$Cell_06) = split (/\t/,$monsin_str);


			if($Cell_06 >= 37.5){$Cell_02 =~ s/̉/̉<font color=red> /;$Cell_02 =~ s//<\/font>/;}



		if($kj_hogo eq "on" && $sinsatuchu > 0 && $Cell_15 ne "f@")
					{
					$x1 = substr ($Cell_12,0,2);
					$y1 = substr ($Cell_12,-2,2);
					$Cell_12 = $x1 . " " . $y1;
					$Cell_13 = "";
					}


		if($Cell_13 =~ /^/){$Cell_12 = "<MARQUEE>" . $Cell_12 . "</MARQUEE>";}


		my $msg_inp = $nxt_fld . $Cell_11 . ".txt";
		my $Cell_msg ="<BR>";

		if(-e "$msg_inp")
				{
				open(FILE,"$msg_inp") || die "File Open Error7!\n";
				my @line =<FILE>;
				my $gyosu = @line;
				if($line[0] lt $today && $gyosu > 1)
					{
					$Cell_msg = "";
					foreach(@line)
						{
						$Cell_msg =$Cell_msg . $_ . "<BR>";
						}
					}
				close(FILE);
				}


	if($Cell_15 eq "f@")
		{
		print "<tr bgcolor=\"#FFFFCC\">";
		}else{
		print "<tr bgcolor=white>";
		}


		$Cell_18 ="(".$Cell_18.")";

#-----UX΁`VO΂ŕSmF̃Rg@}CIvV

		if($clinic =~ /퓡/){
			if($Cell_18 eq "(69)" or $Cell_18 eq "(70)"){$Cell_18 = $Cell_18."<br><font color=red>SmF</font>";}
		}

#-------------------------------------

	print "<td align=center size=$font1><B><a href=\"http://localhost/~rsn/C_history2.cgi?show=" . $Cell_11 . "\" target=_blank>" . $Cell_11 . "</B></a></td>";
	print "<td nowrap><font size=$font1><B><a href=\"http://localhost/~rsn/2000.cgi?show=" . $Cell_11 . "\" target=_blank>" . $Cell_12."</B><br>" . $Cell_13 . $Cell_18 ."</a></td>";
	print "<td><font size=$font1>$Cell_15<br></td>";
	print "<td valign=top><font size=$font1>$Cell_02<br></td>";
	print "<td valign=top><font size=$font1>$Cell_03<br></td>";
	print "<td valign=top><font size=$font1>$Cell_04<br></td>";
	print "<td><font size=$font1>$Cell_msg<br></td>";
	if($kubun eq "on"){

	my $Cell_clr1="";
	my $Cell_clr2="";
	my $Cell_clr3="";
	my $Cell_clr4="";
	my $Cell_clr5="";

#---FL@}CIvV

	if($clinic =~ /퓡/){
		if($Cell_1C ne ""){$Cell_clr3="yellow";}
		if($Cell_1D ne ""){$Cell_clr4="#0080ff";}
		if($Cell_1E ne ""){$Cell_clr5="red";}
	}
#----------------------------

	print "<td align=center bgcolor=$Cell_clr1><font size=$font1>$Cell_1A<br></td>";
	print "<td align=center bgcolor=$Cell_clr2><font size=$font1>$Cell_1B<br></td>";
	print "<td align=center bgcolor=$Cell_clr3><font size=$font1>$Cell_1C<br></td>";
	print "<td align=center bgcolor=$Cell_clr4><font size=$font1>$Cell_1D<br></td>";
	print "<td align=center bgcolor=$Cell_clr5><font size=$font1>$Cell_1E<br></td>";

	}
	print "<TD nowrap align=center><font size=$font1><a href=\"http://localhost/~rsn/shoken.cgi?kazoku=" . $Cell_11 . "=50\" target=_blank>" . $Cell_14 . "<BR></TD>";
	print "</tr>";

	}

print "</table>";

print "</body>\n";
print "</html>\n";


####################	I  ###############################












#################  sub \蕶쐬	############

sub msokr_ex

{

	foreach(@ex_ID)
	{

		my @msokr =();

		my $dbs =new Win32::ODBC("DSN=Deardoctor");

		$SQL = "select $field21,$field27,$field29 from $SINSATU[0] where $field29 >='$pstday' and $field21 ='$_' and $field31 is null";

		$dbs->Sql("$SQL");

			while ( $dbs->FetchRow() ){
				my %Fields= $dbs->DataHash();
				my $Cell_21 = $Fields{"$field21"};	# ID
				my $Cell_27 = $Fields{"$field27"};	# w
				my $Cell_29 = $Fields{"$field29"};	# f@

				$Cell_29 =~ s/-/\//g;$Cell_29 =~ s/ 00:00:00.000//g;

				my $cntx = join("\t",($Cell_21,$Cell_27,$Cell_29));
				push (@msokr,$cntx);
			}

		$dbs->Close();


		if(@msokr){

			my $last = $msokr[$#msokr];
			my ($Cell_21,$Cell_27,$Cell_29) = split (/\t/,$last);
			my $msg_exp = $nxt_fld . $Cell_21 . ".txt";
			open (FILE,">$msg_exp") || die "File Open Error8 $! \n";

			if($Cell_27 =~ /|/){
				$Cell_27 = $Cell_29 . "\n" . $Cell_27;
				}else{
				$Cell_27 = $Cell_29;
				}

			print FILE $Cell_27;
			close(FILE);

		}


	}

}




##################	sub ̏o	#######################

sub shoken_ex
{


	if($kai2shoken ne "off")
	{

		my $dbs4 =new Win32::ODBC("DSN=Calnart");

		foreach(@ex_ID)
		{

#			my $count = 0;

			my $x;

			foreach $x (@SINNI_tbl)
			{

			$SQL = "select * from $x where $field71 ='$_'";

			$dbs4->Sql("$SQL");

				my $pre_futan;
				my $pre_id_date;

				while ( $dbs4->FetchRow() ){
					my %Fields= $dbs4->DataHash();
					my $Cell_71 = $Fields{"$field71"};	# DNIDNO
					my $Cell_72 = $Fields{"$field72"};	# DNKANRI@gĂȂH
					my $Cell_73 = $Fields{"$field73"};	# DNDATE
					my $Cell_74 = $Fields{"$field74"};	# DNDOJI
					my $Cell_75 = $Fields{"$field75"};	# DNTLTENi_j
					my $Cell_76 = $Fields{"$field76"};	# DNFUTKNiSj
					my $Cell_77 = $Fields{"$field77"};	# DNITIBUiꕔSj
					my $Cell_78 = $Fields{"$field78"};	# DNSEIKYizj
					my $Cell_79 = $Fields{"$field79"};	# DNNYUKIizj

					$Cell_73 =~ s/-/\//g;$Cell_73 =~ s/ 00:00:00.000//g;

						if($Cell_76 eq "0"){$Cell_76=$Cell_77;}

					my $id_date = $Cell_71 . $Cell_73 . $Cell_74;

					if($id_date ne $pre_id_date){$pre_futan="";}

					$futan{$id_date} = $pre_futan . "<font color=green>_ " . $Cell_75 . "  S " . $Cell_76 . "   " . $Cell_78 . "   " . $Cell_79 . "<\/font><BR>";

					$pre_futan = $futan{$id_date};

					$pre_id_date = $id_date;

#					$count++;

				}


#			if($count > 10){last;}


			}
		}


		$dbs4->Close();


	}



	my $e_ID;

	foreach $e_ID (@ex_ID)
	{

		my @psm =();

		my $dbs =new Win32::ODBC("DSN=Deardoctor");

		my $x;

		foreach $x (@SINSA_tbl)
		{

			$SQL = "select $field21,$field22,$field23,$field24,$field25,$field26,$field27,$field28,$field29,$field33,$field34,$field35 from $x where $field21 = '$e_ID' and $field31 is null";

			$dbs->Sql("$SQL");

			while ( $dbs->FetchRow() ){
				my %Fields= $dbs->DataHash();
				my $Cell_21 = $Fields{"$field21"};	# ID
				my $Cell_22 = $Fields{"$field22"};	# g̏
				my $Cell_23 = $Fields{"$field23"};	# i
				my $Cell_24 = $Fields{"$field24"};	# 
				my $Cell_25 = $Fields{"$field25"};	# l@
				my $Cell_26 = $Fields{"$field26"};	# ]
				my $Cell_27 = $Fields{"$field27"};	# w
				my $Cell_28 = $Fields{"$field28"};	# 
				my $Cell_29 = $Fields{"$field29"};	# f@
				my $Cell_33 = $Fields{"$field33"};	# Jn
				my $Cell_34 = $Fields{"$field34"};	# f@ԍ
				my $Cell_35 = $Fields{"$field35"};	# t

				$Cell_23 =~ s/\n.{48}/$&\n/g;

				$Cell_29 =~ s/-/\//g;$Cell_29 =~ s/ 00:00:00.000//g;

				my $cntx = join("\t", ($Cell_21,$Cell_22,$Cell_23,$Cell_24,$Cell_25,$Cell_26,$Cell_27,$Cell_28,$Cell_29,$Cell_33,$Cell_34,$Cell_35));
				push(@psm,$cntx);


				}

		}


		$dbs->Close();


		my @psm_tx=();
		my $psm_tx="";


		foreach(@psm)
		{

		my ($Cell_21,$Cell_22,$Cell_23,$Cell_24,$Cell_25,$Cell_26,$Cell_27,$Cell_28,$Cell_29,$Cell_33,$Cell_34,$Cell_35) = split (/\t/,$_);


			if($Cell_28 =~ /y/)
				{
				$Cell_28 = "<font color=red>yfz<\/font>";
				}else{
				$Cell_28 = "<font color=blue>yĐfz<\/font>";
				}


			$Cell_33 = "@" . "<font color=black>" . $Cell_33 . "@<\/font>";

			if($isi_his eq "on")
				{
				$Cell_35 = $Cell_35 . "\n";
				}else{
				$Cell_35 = "\n";
				}

			my $futan_str="";

			if($kai2shoken ne "off")
				{
				my $id_date = $Cell_21.$Cell_29.$Cell_34;
				$futan_str = $futan{$id_date};
				}


			$Cell_29 = "------------------------------" . "\n" . "" . substr($Cell_29,2,8);

			my $cntx = join("", ($Cell_29,$Cell_33,$Cell_28,$Cell_35,$futan_str,$Cell_22,$Cell_23,$Cell_24,$Cell_25,$Cell_26,$Cell_27));
			push(@psm_tx,$cntx);


		}

					@psm_tx = sort {$b cmp $a} @psm_tx;

					foreach(@psm_tx)
						{
						$psm_tx = $psm_tx . $_ . "\n";
						}


			if($psm_tx ne "")
					{

					my $psm_fld=$lan_fld . "shoken/";
					if (!-e $psm_fld){mkdir ($psm_fld, 0666);}

					my $t_ID = substr ($e_ID,-1,1);

					my $psm_fld2 =$psm_fld . $t_ID . "\/" ;
					if (!-e $psm_fld2){mkdir ($psm_fld2, 0666);}

					my $psm_out = $psm_fld2 . $e_ID. ".txt";
					open (FILE,">$psm_out") || die "File Open Error9!\n";
					print FILE $psm_tx;
					close(FILE);
					}


	}



}

##################	sub T}[̏o	#######################

sub sum_ex

{

	my @summary=();

	my $dbs4 =new Win32::ODBC("DSN=Deardoctor");

	foreach (@ex_ID)
		{

		$SQL = "select * from $kan_joho where $field81 = '$_'";

		$dbs4->Sql("$SQL");

			while ( $dbs4->FetchRow() ){
				my %Fields= $dbs4->DataHash();
				my $Cell_81 = $Fields{"$field81"};		# ID
				my $Cell_82 = $Fields{"$field82"};		# 
				my $Cell_83 = $Fields{"$field83"};		# Q
				my $Cell_84 = $Fields{"$field84"};		# R
				my $Cell_85 = $Fields{"$field85"};		# Ƒ
				my $Cell_86 = $Fields{"$field86"};		# ƑQ
				my $Cell_87 = $Fields{"$field87"};		# ƑR
				my $Cell_88 = $Fields{"$field88"};		# ֊
				my $Cell_89 = $Fields{"$field89"};		# 
				my $Cell_8A = $Fields{"$field8A"};		# nDi
				my $Cell_8B = $Fields{"$field8B"};		# nDiQ
#				my $Cell_8C = $Fields{"$field8C"};		# ŏIf@

				$Cell_81 = int($Cell_81);

				my $cntx = join("\t", ($Cell_81,$Cell_82,$Cell_83,$Cell_84,$Cell_85,$Cell_86,$Cell_87,$Cell_88,$Cell_89,$Cell_8A,$Cell_8B));
				push (@summary,$cntx);

			}

		}

	$dbs4->Close();


	foreach (@summary)
			{
			$_ =~ s//(K)/g;$_ =~ s//(T)/g;$_ =~ s//(M)/g;$_ =~ s/a/(dep)/g;
			my ($Cell_81,$Cell_82,$Cell_83,$Cell_84,$Cell_85,$Cell_86,$Cell_87,$Cell_88,$Cell_89,$Cell_8A,$Cell_8B) = split (/\t/,$_);

			my $cntx = join("", ($Cell_8A,$Cell_8B,$Cell_82,$Cell_83,$Cell_84,$Cell_85,$Cell_86,$Cell_87,$Cell_88,$Cell_89));



					my $sum_fld=$lan_fld . "summary/";
					if (!-e $sum_fld){mkdir ($sum_fld, 0666);}

					my $t_ID = substr ($Cell_81,-1,1);

					my $sum_fld2 =$sum_fld . $t_ID . "\/" ;
					if (!-e $sum_fld2){mkdir ($sum_fld2, 0666);}

					my $summary_f = $sum_fld2 . $Cell_81. ".txt";
					open (FILE,">$summary_f") || die "File Open Error10!\n";
					print FILE $cntx;
					close(FILE);

			}


}


##################	sub vg@쐬	#######################

sub prtshoho

{

	my $tmp_id;

	foreach $tmp_id (@ex_ID)
	{

		my ($Cell_28 , $Cell_29 , $Cell_35 , $Cell_53 , $Cell_54);

		my $dbs =new Win32::ODBC("DSN=Deardoctor");

		$SQL = "select $field28,$field29 from $SINSATU[0] where $field21 = '$tmp_id' and $field29 = '$today' and $field31 is null";

			$dbs->Sql("$SQL");

			while ( $dbs->FetchRow() ){
				my %Fields= $dbs->DataHash();
				$Cell_28 = $Fields{"$field28"};	# 
				$Cell_29 = $Fields{"$field29"};	# f@
		#		$Cell_35 = $Fields{"$field35"};	# t
			}


				if($Cell_28 ne ""){


				my $dbs2 =new Win32::ODBC("DSN=Calnart");

				my $SQL2 = "select * from $KANJMS21F where $field51 = '$tmp_id'";

				$dbs2->Sql("$SQL2");

					while ( $dbs2->FetchRow() ){
						my %Fields2= $dbs2->DataHash();
						$Cell_53 = $Fields2{"$field53"};	# DH_NAME
						$Cell_54 = $Fields2{"$field54"};	# DH_FURI
					}

				$dbs2->Close();

				}


			$dbs->Close();



			$Cell_29 =~ s/-/\//g;$Cell_29 =~ s/ 00:00:00.000//g;


		#	@prt = ();

			my @prt = split(/\n/, $Cell_28);

			my $flg = "0";

			my $prt_tx ="";
			my $prt_tx1 ="";
			my $prt_tx2 ="";
			my $prt_tx3 ="";

			my $syoho_no = 1;

			my $tmp;

			foreach $tmp (@prt){

				$tmp =~ s/\x0D?\x0A?$//;

				$tmp =~ s/\(P\)//g;
				$tmp =~ s/\(O\)//g;

			#	&jcode::h2z_sjis(\$tmp);		#̂PsgĂA╶


				if($tmp =~ /\dT/){$tmp =~ s/T//;}


				if($tmp =~ /y|y|yO/){
					$flg = "1";
				}elsif($tmp =~ /y/){
					$flg = "2";
				}elsif($tmp =~ /y/){
					$flg = "3";
				}elsif($tmp =~ /y/){
					$flg = "0";
				}


					if($flg eq "1" && $tmp !~ /||Z/ && $tmp ne ""){

						if($tmp =~ /--/){

							$prt_tx1 = $prt_tx1 ."  ".$tmp . "\n\n";
						}else{
							if($tmp =~ /y/){
								$prt_tx1 = $prt_tx1 . $tmp . "\n";
							}else{
								$prt_tx1 = $prt_tx1 . "[" . $syoho_no . "]". $tmp . "\n";
								$syoho_no++;

							}
						}

					}


					if($flg eq "2" && $tmp ne "" && $tmp =~ /P|߽|õ|ި/){

					#	while ( $tmp =~ /    / ) {$tmp =~ s/  / /g;}

						if($tmp =~ /--/){
							$prt_tx2 = $prt_tx2 . "  " . $tmp . "\n";
						}else{
							$prt_tx2 = $prt_tx2 .  "[" . $syoho_no . "]". $tmp . "\n";
							$syoho_no++;
						}
					}


					if($flg eq "3" && $tmp ne "" && $tmp =~ /P|߽|õ|ި/){

					#	while ( $tmp =~ /    / ) {$tmp =~ s/  / /g;}

						if($tmp =~ /--/){
							$prt_tx3 = $prt_tx3 . "  " . $tmp . "\n";
						}else{
							$prt_tx3 = $prt_tx3 .  "[" . $syoho_no . "]". $tmp . "\n";
							$syoho_no++;
						}
					}

			}



				if($prt_tx2 ne ""){
					$prt_tx = "yݑz\n" . $prt_tx2 . "\n";
				}

				if($prt_tx1 ne ""){
					$prt_tx = $prt_tx . $prt_tx1;
				}

				if($prt_tx3 ne ""){
					$prt_tx = $prt_tx . "yˁz\n" . $prt_tx3 . "\n";
				}


				#	&jcode'convert(\$prt_tx,"euc");		#@pJ^JiSpJ^Ji
				#	&jcode'h2z_euc(\$prt_tx);		#@sjisŕϊƕ̂ňUeucoĂAA
				#	&jcode'convert(\$prt_tx,'sjis');

					&jcode::h2z_sjis(\$prt_tx);		####@LRsłȂAǂ͂PsłׂĂ܂s@ȂHH


					$prt_tx =~ s/~Iy/ص/g;
					$prt_tx =~ s/tbNX^b`/گ/g;
					$prt_tx =~ s/tbNXy/گ/g;
					$prt_tx =~ s/Lbg//g;

			my ($syoho_y,$syoho_0m,$syoho_0d) = split(/\//,$Cell_29);

			my $syoho_m = sprintf("%d",$syoho_0m);
			my $syoho_d = sprintf("%d",$syoho_0d);


				if(length($Cell_53) > 24){			#@OlŖOꍇ
				#	&jcode'convert(\$Cell_53,"euc");	#@SpJiJi𔼊pJ^Jiɕϊ
				#	&jcode'z2h_euc(\$Cell_53);		#@sjisŕϊƕ̂ňUeucoĂAA
				#	&jcode'convert(\$Cell_53,'sjis');
					&jcode::z2h_sjis(\$Cell_53);		#@LRsg킸ÂPsł卷ȂH
				}


				#	while (length($Cell_53) < 20 ) {$Cell_53 = " " . $Cell_53;}	#@OƏ̊Ԃ̋󔒂Kxɒ


			if($prt_tx ne ""){

				my $prt_ln1 = "F" . $syoho_y ."N" .$syoho_m."".$syoho_d."              " . $Cell_53 . "  l\n";

				my $prt_ln2 = "PPPPPPPPPPPPPPPPPPPPPPPPP";

				my $prt_ln3 = "Ë@ցF " . $clinic . "        tF " . $Dr_name . "\n" . $adress ."     TELF"  . $TEL."\n";

				$prt_tx = $prt_ln1 . $prt_ln2 . "\n" . $prt_tx . $prt_ln3 . $prt_ln2;


				my @prt_line = split(/\n/,$prt_tx);

				my $ex;

				my $prt_txt;

				foreach $ex (@prt_line){
					while( length($ex) > 46 && $ex =~ /  /){$ex =~ s/  / /;}
					while( length($ex) > 42 && $ex =~ /-----/){$ex =~ s/-----/----/;$ex =~ s/  / /;}
					while( length($ex) > 46 && $ex =~ /P/){$ex =~ s/P//;}
					$prt_txt = $prt_txt . $ex . "\n";
				}


					#-----tʂ̃tH_ɕނǉ
						my $prt_psn="./C_print/" . $syoho_y.$syoho_0m.$syoho_0d . "/";
						if (!-e $prt_psn){mkdir ($prt_psn, 0666);}

						my $prt_out2 = $prt_psn . $tmp_id . ".txt";
						open (FILE,">$prt_out2") || die "File Open Error9!\n";
						print FILE $prt_txt;
					#-------------


					close(FILE);
			}


	}


}


##################	sub obNAbvf[^쐬	#######################

sub backup

{


if($backup_f eq "")
{
	$backup_f="./C_backup/";
	if (!-e $backup_f){mkdir ($backup_f, 0666);}
}else{
	if(!-e $backup_f){mkdir ($backup_f, 0666);}
	$backup_f=$backup_f."/C_backup/";
	if (!-e $backup_f){mkdir ($backup_f, 0666);}
}

my $backup_fld2= $backup_f.$today2."/";
if (!-e $backup_fld2){mkdir ($backup_fld2, 0666);}



	my %kaikei =();

	my $dbs4 =new Win32::ODBC("DSN=Calnart");

	$SQL = "select * from $SINNIKE[0] where $field73 = '$today'";

	$dbs4->Sql("$SQL");

	while ( $dbs4->FetchRow() ){
			my %Fields= $dbs4->DataHash();
			my $Cell_71 = $Fields{"$field71"};	# DNIDNO
			my $Cell_72 = $Fields{"$field72"};	# DNKANRI
			my $Cell_73 = $Fields{"$field73"};	# DNDATE@gĂȂ
			my $Cell_74 = $Fields{"$field74"};	# DNDOJI
			my $Cell_75 = $Fields{"$field75"};	# DNTLTENi_j
			my $Cell_76 = $Fields{"$field76"};	# DNFUTKNiSj
			my $Cell_77 = $Fields{"$field77"};	# DNITIBUiꕔSj
			my $Cell_78 = $Fields{"$field78"};	# DNSEIKYizj
			my $Cell_79 = $Fields{"$field79"};	# DNNYUKIizj


		my $dbs2 =new Win32::ODBC("DSN=Calnart");

		$SQL = "select * from $KANJMS21F inner join $KANJMS21H on $KANJMS21F.$field51 = $KANJMS21H.$field61 where $KANJMS21F.$field51 = '$Cell_71' and $KANJMS21F.$field52 = '$Cell_72' order by $KANJMS21F.$field52 desc";


		$dbs2->Sql("$SQL");
			while ( $dbs2->FetchRow() ){
				my %Fields= $dbs2->DataHash();
				my $Cell_51 = $Fields{"$field51"};	# DIDNO
				my $Cell_52 = $Fields{"$field52"};	# DKANRI@gĂȂ
				my $Cell_53 = $Fields{"$field53"};	# DH_NAME
				my $Cell_54 = $Fields{"$field54"};	# DH_FURI
				my $Cell_55 = $Fields{"$field55"};	# DH_ADD1
				my $Cell_56 = $Fields{"$field56"};	# DH_ADD2
				my $Cell_57 = $Fields{"$field57"};	# DH_TEL1
				my $Cell_58 = $Fields{"$field58"};	# DH_NOMiیҁj
				my $Cell_59 = $Fields{"$field59"};	# DH_KIGiLj
				my $Cell_60 = $Fields{"$field60"};	# DH_KNOiԍj
				my $Cell_41 = $Fields{"$field41"};	# DH_SYUii擾j
				my $Cell_42 = $Fields{"$field42"};	# DH_YUKiLj
				my $Cell_43 = $Fields{"$field43"};	# DH_ZOKUij
				my $Cell_44 = $Fields{"$field44"};	# DR_NOMiVlیj
				my $Cell_45 = $Fields{"$field45"};	# DR_JUKi󋋔ԍj
				my $Cell_46 = $Fields{"$field46"};	# DR_RITUij
				my $Cell_47 = $Fields{"$field47"};	# DF_KIGiÏ؋Lj
				my $Cell_48 = $Fields{"$field48"};	# DF_YUKiLj
				my $Cell_49 = $Fields{"$field49"};	# DJ_RITUi󋋎Ҋj

				my $Cell_101= $Fields{"$field101"};	# DK1_NOMiPj
				my $Cell_102= $Fields{"$field102"};	# DK1_JUKi󋋎Ҕԍj
				my $Cell_103= $Fields{"$field103"};	# DK1_SYUii擾j
				my $Cell_104= $Fields{"$field104"};	# DK1_YUKiLj
				my $Cell_105= $Fields{"$field105"};	# DK1_RITU
				my $Cell_106= $Fields{"$field106"};	# DK1_GENDixzj


				my $Cell_63 = $Fields{"$field63"};	# DBIRTH
				my $Cell_64 = $Fields{"$field64"};	# DSEX

					$Cell_41 =~ s/-/\//g;$Cell_41 =~ s/ 00:00:00.000//g;
					$Cell_42 =~ s/-/\//g;$Cell_42 =~ s/ 00:00:00.000//g;
					$Cell_48 =~ s/-/\//g;$Cell_48 =~ s/ 00:00:00.000//g;
					$Cell_63 =~ s/-/\//g;$Cell_63 =~ s/ 00:00:00.000//g;
					$Cell_103=~ s/-/\//g;$Cell_103=~ s/ 00:00:00.000//g;
					$Cell_104=~ s/-/\//g;$Cell_104=~ s/ 00:00:00.000//g;

					$Cell_43 = int($Cell_43);
					$Cell_46 = int($Cell_46);
					$Cell_49 = int($Cell_49);
					$Cell_105= int($Cell_105);



	my $cntx = join("\t" , ($Cell_51,$Cell_53,$Cell_54,$Cell_63,$Cell_64,$Cell_55,$Cell_56,$Cell_57,$Cell_58,$Cell_59,$Cell_60,$Cell_41,$Cell_42,$Cell_43,$Cell_44,$Cell_45,$Cell_46,$Cell_47,$Cell_48,$Cell_49,$Cell_101,$Cell_102,$Cell_103,$Cell_104,$Cell_105,$Cell_106,$Cell_74,$Cell_75,$Cell_76,$Cell_77,$Cell_78,$Cell_79));

	$kaikei{$Cell_51.$Cell_74} = $cntx;



			}
		$dbs2->Close();



	}

	$dbs4->Close();




my @shoken =();

my $dbs3 =new Win32::ODBC("DSN=Deardoctor");

#$SQL = "select * from $SINSATU[0] where $field31 is null and $field29 = '$today' order by $field33";

$SQL = "select $field21,$field22,$field23,$field24,$field25,$field26,$field27,$field28,$field29,$field33,$field34 from $SINSATU[0] where $field31 is null and $field29 = '$today' order by $field33";



$dbs3->Sql("$SQL");

		while ( $dbs3->FetchRow() ){
				my %Fields= $dbs3->DataHash();
				my $Cell_21 = $Fields{"$field21"};	# ID
				my $Cell_22 = $Fields{"$field22"};	# g̏
				my $Cell_23 = $Fields{"$field23"};	# i
				my $Cell_24 = $Fields{"$field24"};	# 
				my $Cell_25 = $Fields{"$field25"};	# l@
				my $Cell_26 = $Fields{"$field26"};	# ]
				my $Cell_27 = $Fields{"$field27"};	# w
				my $Cell_28 = $Fields{"$field28"};	# 
				my $Cell_29 = $Fields{"$field29"};	# f@
				my $Cell_33 = $Fields{"$field33"};	# Jn
				my $Cell_34 = $Fields{"$field34"};	# f@ԍ

				$Cell_29 =~ s/-/\//g;$Cell_29 =~ s/ 00:00:00.000//g;

		my $cntx = join("\t" , ($Cell_21,$Cell_22,$Cell_23,$Cell_24,$Cell_25,$Cell_26,$Cell_27,$Cell_28,$Cell_29,$Cell_33,$Cell_34));

		push (@shoken,$cntx);

		}

$dbs3->Close();



my $tbl2="";

my ($tbl1 , $tbl3 , $tbl4 , $temp, $tbl305 , $tbl31 , $tbl32 , $tbl33);

my ($tbl_head , $tbl_head3 , $tbl_head305 , $tbl_head31 , $tbl_head32 , $tbl_head33 , $tbl_head4 , $tbl_head2 , $tbl_kobetu , $tbl_body);

my $age;

foreach (@shoken)
  {
	my ($Cell_21,$Cell_22,$Cell_23,$Cell_24,$Cell_25,$Cell_26,$Cell_27,$Cell_28,$Cell_29,$Cell_33,$Cell_34) = split (/\t/,$_);

			$tbl2 = "<tr bgcolor=#ffffff><td align=center>".$Cell_29."</td><td align=center>".$Cell_33."</td><td valign=top>".$Cell_22.$Cell_23.$Cell_24.$Cell_25.$Cell_26.$Cell_27."</td><td valign=top>".$Cell_28."</td></tr>";
			$tbl2 =~ s/\x0D\x0A|\x0A/<br>/g;


	$tbl1="";$tbl3="";$tbl4="";$temp="";


	my $kaikei_str = $kaikei{$Cell_21.$Cell_34};

		my ($Cell_51,$Cell_53,$Cell_54,$Cell_63,$Cell_64,$Cell_55,$Cell_56,$Cell_57,$Cell_58,$Cell_59,$Cell_60,$Cell_41,$Cell_42,$Cell_43,$Cell_44,$Cell_45,$Cell_46,$Cell_47,$Cell_48,$Cell_49,$Cell_101,$Cell_102,$Cell_103,$Cell_104,$Cell_105,$Cell_106,$Cell_74,$Cell_75,$Cell_76,$Cell_77,$Cell_78,$Cell_79) = split (/\t/,$kaikei_str);

				if($Cell_41 ne ""){$age = $Cell_41;&gengo;$Cell_41 = $age;}
				if($Cell_42 ne ""){$age = $Cell_42;&gengo;$Cell_42 = $age;}
				if($Cell_46 eq "0"){$Cell_46 = "";}
				if($Cell_48 ne ""){$age = $Cell_48;&gengo;$Cell_48 = $age;}
				if($Cell_49 eq "0"){$Cell_49 = "";}

				if($Cell_103 ne ""){$age = $Cell_103;&gengo;$Cell_103 = $age;}
				if($Cell_104 ne ""){$age = $Cell_104;&gengo;$Cell_104 = $age;}


				$temp = join("</td><td align=center>" , ($Cell_58,$Cell_59,$Cell_60,$Cell_41,$Cell_42));
				$temp =~ s/H8011\/12\/31//g;$temp =~ s/1868\/07\/08//g;
				$tbl3 = "<tr bgcolor=#ffffff><td align=center>".$temp."</td></tr>";


				if($Cell_49 eq ""){$Cell_49 = "@"};if($Cell_49 eq "4"){$Cell_49 = "@Q"};if($Cell_49 eq "1"){$Cell_49 = "@P"};
				$tbl305= "<tr bgcolor=#ffffff><td align=center>".$Cell_49."</td></tr>";

				if($Cell_44 eq ""){$Cell_44 = "@"};
				$temp = join("</td><td align=center>" , ($Cell_44,$Cell_45,$Cell_46));
				$temp =~ s/H8011\/12\/31//g;$temp =~ s/1868\/07\/08//g;
				$tbl31= "<tr bgcolor=#ffffff><td align=center>".$temp."</td></tr>";


				$temp = join("</td><td align=center>" , ($Cell_101,$Cell_102,$Cell_103,$Cell_104,$Cell_105,$Cell_106));
				$temp =~ s/H8011\/12\/31//g;$temp =~ s/1868\/07\/08//g;$temp =~ s/9999\/12\/31//g;
				$tbl32= "<tr bgcolor=#ffffff><td align=center>".$temp."</td></tr>";


				if($Cell_47 eq ""){$Cell_47 = "@"};
				$temp = join("</td><td align=center>" , ($Cell_47,$Cell_48));
				$temp =~ s/H8011\/12\/31//g;$temp =~ s/1868\/07\/08//g;
				$tbl33= "<tr bgcolor=#ffffff><td align=center>".$temp."</td></tr>";


				$temp = join("</td><td align=center>" , ($Cell_75,$Cell_76,$Cell_77,$Cell_78,$Cell_79));
				$tbl4 = "<tr bgcolor=#ffffff><td align=center>".$temp."</td></tr>";

					$Cell_55 = $Cell_55.$Cell_56;
				if($Cell_64 eq "1.0"){$Cell_64 ="j";}else{$Cell_64="";}
				if($Cell_63 ne ""){$age = $Cell_63;&gengo;$Cell_63 = $age;}
				if($Cell_43 eq "1"){$Cell_43 ="{l";}else{$Cell_43="Ƒ";}

				$tbl1 = join("</td><td align=center>" , ($Cell_51,$Cell_53,$Cell_54,$Cell_64,$Cell_43,$Cell_63,$Cell_55,$Cell_57));
				$tbl1 = "<tr bgcolor=#ffffff><td align=center>".$tbl1."</td></tr>";


		if($tbl1 eq "")
			{
			$tbl1="<tr bgcolor=#ffffff><td>".$Cell_21."</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>"."\n";
			$tbl3="<tr bgcolor=#ffffff><td><br></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>"."\n";
			$tbl4="<tr bgcolor=#ffffff><td><br></td><td></td><td></td><td></td><td></td></tr>"."\n";
			}

		$tbl_head="<table border=1><tr bgcolor=#d3d3d3><th>ID</th><th>O</th><th>tKi</th><th></th><th></th><th>N</th><th>Z</th><th>db</th></tr>"."\n";
		$tbl_head3 ="<table border=1><tr bgcolor=#d3d3d3><th>ی</th><th>L</th><th>ԍ</th><th>i擾</th><th>L</th>"."\n";

		$tbl_head305="<table border=1><tr bgcolor=#d3d3d3><th>󋋊</th></tr>"."\n";

		$tbl_head31="<table border=1><tr bgcolor=#d3d3d3><th>Vlی</th><th>󋋔ԍ</th><th>Vl</th></tr>"."\n";

		$tbl_head32="<table border=1><tr bgcolor=#d3d3d3><th>SҔԍ</th><th>󋋎Ҕԍ</th><th>i擾</th><th>L</th><th>S</th><th>xz</th></tr>"."\n";

		$tbl_head33="<table border=1><tr bgcolor=#d3d3d3><th>Ï</th><th>L</th></tr>"."\n";


		$tbl_head4="<table border=1><tr bgcolor=#d3d3d3><th>f@</th><th>Jn</th><th>g̏EiEEl@</th><th>Eu</th></tr>"."\n";
		$tbl_head2="<table border=1><tr bgcolor=#d3d3d3><th>_</th><th>S</th><th>ꕔS</th><th>z</th><th>z</th></tr>"."\n";

		$tbl_kobetu=$tbl_head.$tbl1.$tbl_head3.$tbl3.$tbl_head305.$tbl305.$tbl_head31.$tbl31.$tbl_head32.$tbl32.$tbl_head33.$tbl33.$tbl_head4.$tbl2.$tbl_head2.$tbl4."</table>"."\n";

		$tbl_body =$tbl_body ."<p><hr align=center><p>". $tbl_kobetu;

  }


		my $header="<HTML><HEAD><META HTTP-EQUIV=\"Content-type\" CONTENT=\"text/html; charset=Shift_JIS\"></HEAD>"."\n";

		$header=$header . "<STYLE TYPE=\"text/css\">"."<!--"."table {border: 2px white ridge; border-collapse: collapse;}"."-->"."</STYLE>"."<BODY BGCOLOR=#EEEEEE>";


		my $footer="</BODY></HTML>";

#		$Cell_29=~ s/\///g;

		if(-e $backup_fld2.$today2."(5)"."\.html"){unlink($backup_fld2.$today2."(5)"."\.html");}
		if(-e $backup_fld2.$today2."(4)"."\.html"){rename($backup_fld2.$today2."(4)"."\.html",$backup_fld2.$today2."(5)"."\.html");}
		if(-e $backup_fld2.$today2."(3)"."\.html"){rename($backup_fld2.$today2."(3)"."\.html",$backup_fld2.$today2."(4)"."\.html");}
		if(-e $backup_fld2.$today2."(2)"."\.html"){rename($backup_fld2.$today2."(2)"."\.html",$backup_fld2.$today2."(3)"."\.html");}
		if(-e $backup_fld2.$today2."(1)"."\.html"){rename($backup_fld2.$today2."(1)"."\.html",$backup_fld2.$today2."(2)"."\.html");}
		if(-e $backup_fld2.$today2."\.html"){rename($backup_fld2.$today2."\.html",$backup_fld2.$today2."(1)"."\.html");}

		my $backup_txt = $backup_fld2 . $today2 . "\.html";

		open (FILE,">$backup_txt") || die "File Open Error11!\n";
		print FILE $header.$tbl_body.$footer;
		close(FILE);

}




##################  sub ҏXV(PatData.csv) #########################

sub pt_data
{

my $outp_fld;

if(-e "./init.dat")
	{
	open(FILE,"<./init.dat") || die "File Open Error12!\n";
	my @line =<FILE>;
	close(FILE);
	my @RS_settei = split(/,/,$line[2]);
	my @RS_settei2 = split(/\|/,$RS_settei[37]);
	$RS_settei2[119] =~ s/\\/\//g;

		if($RS_settei2[119] ne ""){
		$outp_fld=$RS_settei2[119]."\/";	#OrcaQCSVDexe ɂāASyoho.csv o͂z_[
		}else{
		$outp_fld="c:/gazou/";
		}
	}else{
	$outp_fld="c:/gazou/";
	}


my $dbs2 =new Win32::ODBC("DSN=Calnart");


$SQL =<<EOF;
select * from $KANJMS21F inner join $KANJMS21H on $KANJMS21F.$field51 = $KANJMS21H.$field61
where cast($KANJMS21F.$field51 as int) > (select max(cast($KANJMS21F.$field51 as int)) from $KANJMS21F) - 5
order by cast($KANJMS21F.$field51 as int), $KANJMS21F.$field52
EOF

my $pt_data="";

my $key_ID;

$dbs2->Sql("$SQL");

while ( $dbs2->FetchRow() ){
		my %Fields= $dbs2->DataHash();
		my $Cell_51 = $Fields{"$field51"}; #DIDNO
#		my $Cell_52 = $Fields{"$field52"}; #DKANRI
		my $Cell_53 = $Fields{"$field53"}; #DH_NAME
		my $Cell_54 = $Fields{"$field54"}; #DH_FURI
		my $Cell_55 = $Fields{"$field55"}; #DH_ADD1
		my $Cell_56 = $Fields{"$field56"}; #DH_ADD2
		my $Cell_57 = $Fields{"$field57"}; #DH_TEL1

	#	my $Cell_61 = $Fields{"$field61"}; #DIDNO@gĂȂ悤
		my $Cell_63 = $Fields{"$field63"}; #DBIRTH
		my $Cell_64 = $Fields{"$field64"}; #DSEX

		$Cell_63 =~ s/\///g;

		if($henkan eq "2" || $henkan eq "3")
			{
			jcode::h2z_sjis(\$Cell_54);

				if($henkan eq "3")
				{
				my $katakana=$Cell_54;
				my $hiragana = kata2hira($katakana);
				$hiragana =~ s/ / /g;
				$Cell_54=$hiragana;
				}
			}


my $pt_data1 = $Cell_51.",,,".$Cell_54.",".$Cell_53.",".$Cell_64.",".$Cell_63.",,".$Cell_55.$Cell_56.",,".$Cell_57."\n";

$pt_data  =$pt_data . $pt_data1;

$key_ID = $Cell_51;

}

$dbs2->Close();




if($key_ID > $lastID)
	{
	my $pt_file = $outp_fld . "PatData.csv";
	open (FILE,">$pt_file") || die "File Open Error13!\n";
	print FILE $pt_data;
	close(FILE);
	}

$lastID=$key_ID;

}



####### sub ҏXV@̂Q(PatData.csv)o^t@C쐬 ########

sub pt_make
{

my $outp_fld;

my $sinkan_fld= "C:/nCalnart/kanj_data";
if (!-e $sinkan_fld){mkdir ($sinkan_fld, 0666);}

opendir(DIR,$sinkan_fld) || die "opendir Error14!\n";
my @C_pt_file=grep {/id.+\.csv/} readdir(DIR);
closedir(DIR);

my $C_pt_file = @C_pt_file;

if($C_pt_file != 0)
{
	my $pt_data="";

	foreach(@C_pt_file)
		{
		open(FILE,"<$sinkan_fld/$_") || die "File Open Error15!\n";
		my @line =<FILE>;
		close(FILE);

		my @sinkan = split(/,/,$line[0]);

			if($#sinkan >= 68){

				if($sinkan[$#sinkan] ne "1" && $sinkan[$#sinkan] ne "0"){pop(@sinkan);}
				if($sinkan[$#sinkan] ne "1" && $sinkan[$#sinkan] ne "0"){pop(@sinkan);}
				if($sinkan[$#sinkan] ne "1" && $sinkan[$#sinkan] ne "0"){pop(@sinkan);}

				$sinkan[3] =~ s/\///g;
				$sinkan[$#sinkan -67] =~ s/ +/@/g;

				if($henkan eq "2" || $henkan eq "3")
						{
						jcode::h2z_sjis(\$sinkan[$#sinkan -68]);
						$sinkan[$#sinkan -68] =~ s/ +/@/g;

							if($henkan eq "3")
							{
							my $katakana=$sinkan[$#sinkan -68];
							my $hiragana = kata2hira($katakana);
							$hiragana =~ s/ / /g;
							$sinkan[$#sinkan -68]=$hiragana;
							}
						}

				$pt_data = $sinkan[0].",,,".$sinkan[$#sinkan -68].",".$sinkan[$#sinkan -67].",".$sinkan[4].",".$sinkan[3].",,".$sinkan[$#sinkan -64].$sinkan[$#sinkan -63].",,".$sinkan[$#sinkan -62]."\n";


				my $pt_temp = $temp_fld . $_;

				open (FILE,">$pt_temp") || die "File Open Error16!\n";
				print FILE $pt_data;
				close(FILE);

			}

		unlink("$sinkan_fld/$_");

		}

}

}




####### sub ҏXV@̂Q(PatData.csv)t@C] ########

sub pt_data2
{

my $outp_fld;

if(-e "./init.dat")
	{
	open(FILE,"<./init.dat") || die "File Open Error17!\n";
	my @line =<FILE>;
	close(FILE);
	my @RS_settei = split(/,/,$line[2]);
	my @RS_settei2 = split(/\|/,$RS_settei[37]);
	$RS_settei2[119] =~ s/\\/\//g;

		if($RS_settei2[119] ne ""){
		$outp_fld=$RS_settei2[119]."\/";	#OrcaQCSVDexe ɂāASyoho.csv o͂z_[
		}else{
		$outp_fld="c:/gazou/";
		}
	}else{
	$outp_fld="c:/gazou/";
	}

opendir(DIR,$temp_fld) || die "opendir Error14!\n";
my @C_pt_file2=grep {/id.+\.csv/} readdir(DIR);
closedir(DIR);

my $C_pt_file2 = @C_pt_file2;
my $pt_file = $outp_fld . "PatData.csv";

if(!-e $pt_file && $C_pt_file2 != 0)
	{

	my $pt_tx;

	foreach(@C_pt_file2)
		{
		open(FILE,"<$temp_fld/$_") || die "File Open Error15!\n";
		my @line =<FILE>;
		close(FILE);

		$pt_tx = $pt_tx.$line[0];

		unlink("$temp_fld/$_");

		}

		open (FILE,">$pt_file") || die "File Open Error19!\n";
		print FILE $pt_tx;
		close(FILE);

	}
}




################## Jiȕϊ ########################


sub kata2hira 
  {
  my ($kana) = @_;
  my $katakana = jcode::euc('A-');
  my $hiragana = jcode::euc('-');
  jcode::convert(\$kana, "euc");
  jcode::tr(\$kana, $katakana, $hiragana);
  jcode::convert(\$kana, "sjis");
  return $kana;
  }

################## aϊ ########################

sub gengo

{

my ($age,$age_y,$age_m,$age_d,$wareki,$wareki_chara);

#$dot = ".";
($age_y,$age_m,$age_d) = split(/\//,$age);

if ($age_y < 1869){$age="";return;}

if ($age_y < 1912){$wareki_chara = "M"; $wareki = $age_y-1867;}
elsif ($age_y < 1926){$wareki_chara = "T"; $wareki = $age_y-1911;}
elsif ($age_y < 1989){$wareki_chara = "S"; $wareki = $age_y-1925;}
elsif ($age_y < 2019){$wareki_chara = "H"; $wareki = $age_y-1988;}
else {$wareki_chara = "R"; $wareki = $age_y-2018;}

if ($wareki_chara eq "H" && $wareki eq "1" && $age_m eq "1" && $age_d < 8)
{
$wareki_chara = "S";
$wareki = 64;
}

if ($wareki_chara eq "S" && $wareki eq "1" && $age_m < 12)
{
$wareki_chara = "T";
$wareki = 15;
}
elsif ($wareki_chara eq "S" && $wareki eq "1" && $age_m == 12 && $age_d < 25)
{
$wareki_chara = "T";
$wareki = 15;
}

if ($wareki_chara eq "T" && $wareki eq "1" && $age_m < 7)
{
$wareki_chara = "M";
$wareki = 45;
}
elsif ($wareki_chara eq "T" && $wareki eq "1" && $age_m == 7 && $age_d < 30)
{
$wareki_chara = "M";
$wareki = 45;
}

if ($wareki_chara eq "R" && $wareki eq "1" && $age_m < 5)
{
$wareki_chara = "H";
$wareki = 31;
}


#$age = $wareki_chara.$wareki.$dot.$age_m.$dot.$age_d; 
$age = $wareki_chara.$wareki."\/".$age_m."\/".$age_d; 

}


#####################################################################



sub laboconv

{


my $C_labo_f = $lan_fld . "/C_labo";

if (!-e $C_labo_f){mkdir ($C_labo_f, 0666);}


my $C_labo_t = $lan_fld . "/C_labo/time.txt";

my $mtime;
my $mtime_pre;

if(-e $C_labo_t)
	{
	open(FILE,"<$C_labo_t") || die "File Open Error!\n";
	my @line =<FILE>;
	chomp @line;
	$mtime_pre =$line[0];
	close(FILE);
	}


my $labofile = "C:/suketo/RSB.txt";

if(-e $labofile and -s $labofile)
	{

	($sec, $min, $hour, $mday, $mon, $year) = localtime((stat($labofile))[9]);
	$year = $year + 1900;
	$mon= $mon + 1;

	$mtime = sprintf("%04d%02d%02d%02d%02d", $year, $mon, $mday, $hour, $min);


	if($mtime ne $mtime_pre)
		{

		copy $labofile , $lan_fld . "/C_labo/RSV.csv" or die;	#t@C[J[ǂݍ݂brut@C

		my $dataname = $lan_fld . "/C_labo/" . $mtime . ".dat";

		copy $labofile , $dataname or die;		#ۑpt@C


		open(FILE,">$C_labo_t") || die "File Open Error!\n";
		print FILE $mtime;
		close(FILE);
		}

	}

}


###########@bN@##############

sub lock

{

my $lockdir = "./c_lock";
my $retry = 10;
while (!mkdir($lockdir, 0755))
{
if (--$retry <= 0) {rmdir($lockdir);last;}
sleep(1);
}


}

#########@AbN@############

sub unlock

{

my $lockdir = "./c_lock";
rmdir($lockdir);

}















