#! /usr/local/bin/perl

	#|-----------------------------------------------------#
	#| Script(c);
	#| Copyright(C) 2006 Masayuki Tsuneto, Gunji Yamashita
	#| Allrights reserved
	#| written by Masayuki Tsuneto, Gunji Yamashita
	#| Last Modified on: 2020/08/29
	#|-----------------------------------------------------#


use Win32::ODBC;
use CGI::Carp qw(fatalsToBrowser);

$drv_doc = $ENV{'DOCUMENT_ROOT'};
$drv = substr ($drv_doc ,0,2);

$hikisu = $ENV{'QUERY_STRING'};

if(-e "./C_setup.dat"){
open(FILE,"<./C_setup.dat") || die "File Open Error!\n";
@line =<FILE>;
chomp @line;
$data{kj_hogo}=$line[0];
$data{x1} = $line[1];
$data{y1} = $line[2];
$data{x2} = $line[3];
$data{y2} = $line[4];
$data{rp_time}=$line[5];
$data{p_month}=$line[6];
$data{byome}=$line[7];
$data{moji1}=$line[8];
$data{moji2}=$line[9];
$data{moji3}=$line[10];
$data{font1}=$line[11];
$data{font2}=$line[12];
$data{font3}=$line[13];
$data{pdata_ex}=$line[14];
$data{henkan}=$line[15];
$data{isi_his}=$line[16];
$data{isi_tura}=$line[17];
$data{backup}=$line[18];
$data{schm_x}=$line[19];
$data{x11} = $line[20];
$data{y11} = $line[21];
$data{x12} = $line[22];
$data{y12} = $line[23];
$data{x21} = $line[24];
$data{y21} = $line[25];
$data{x22} = $line[26];
$data{y22} = $line[27];
$data{kigen}=$line[28];
$data{kigen_m}=$line[29];
$data{RSB_rendo}=$line[30];
$data{rendou_pg}=$line[31];
$data{isimei}=$line[32];
$data{tantonomi}=$line[33];
$data{kai2shoken}=$line[34];
$data{kai2kako}=$line[35];
$data{kai2turan}=$line[36];
$data{backup_f}=$line[37];
$data{turanjun}=$line[38];
$data{turan_rp}=$line[39];
$data{turan_time}=$line[40];
#$data{shutdown}=$line[41];
$data{simaru}=$line[42];
$data{kubun}=$line[43];
$data{RSB_out}=$line[44];
$data{gazou2kako}=$line[45];
$data{gogokubun}=$line[46];
$data{shoken_month}=$line[47];
$data{pdata_import}=$line[48];
$data{hist_rendo}=$line[49];
close(FILE);
}else{
$data{kj_hogo}= "on";
$data{x1} = "0";
$data{y1} = "0";
$data{x2} = "1000";
$data{y2} = "500";
$data{rp_time}= "4";
$data{p_month}= "36";
$data{byome}= "on";
$data{moji1}= "";
$data{moji2}= "";
$data{moji3}= "";
$data{font1}= "2";
$data{font2}= "2";
$data{font3}= "2";
$data{pdata_ex}= "off";
$data{henkan}= "1";
$data{isi_his}= "off";
$data{isi_tura}= "off";
$data{backup}= "off";
$data{schm_x}= "300";
$data{x11} = "0";
$data{y11} = "0";
$data{x12} = "1024";
$data{y12} = "760";
$data{x21} = "0";
$data{y21} = "0";
$data{x22} = "1024";
$data{y22} = "760";
$data{kigen}= "off";
$data{kigen_m}= "1";
$data{RSB_rendo}= "off";
$data{rendou_pg}= "1";
$data{isimei}= "";
$data{tantonomi}= "off";
$data{kai2shoken}= "on";
$data{kai2kako}= "on";
$data{kai2turan}= "on";
$data{backup_f}="";
$data{turanjun}="";
$data{turan_rp}="off";
$data{turan_time}="";
$data{shutdown}="on";
$data{simaru}="on";
$data{kubun}="off";
$data{RSB_out}="off";
$data{gazou2kako}="on";
$data{gogokubun}="13:30";
$data{shoken_month}="36";
$data{pdata_import}="off";
$data{hist_rendo}="off";
}


if($hikisu ne ""){

open(FILE,">./C_setup.dat") || die "File Open Error!\n";

foreach(split(/&/,$hikisu)){
		($key,$value) = split(/=/, $_);

		$value =~ tr/+/ /;
		$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

		$data{$key}= $value;

if($data{kj_hogo} eq ""){$data{kj_hogo}="on";}
if($data{x1} eq ""){$data{x1}="0";}
if($data{y1} eq ""){$data{y1}="0";}
if($data{x2} eq ""){$data{x2}="1000";}
if($data{y2} eq ""){$data{y2}="500";}
if($data{rp_time} eq ""){$data{rp_time}="7";}
if($data{p_month} <= 1){$data{p_month}="36";}
if($data{byome} eq ""){$data{byome}="on";}
if($data{moji1} eq ""){$data{moji1}="";}
if($data{moji2} eq ""){$data{moji2}="";}
if($data{moji3} eq ""){$data{moji3}="";}
if($data{font1} eq ""){$data{font1}="2";}
if($data{font2} eq ""){$data{font2}="2";}
if($data{font3} eq ""){$data{font3}="2";}
if($data{pdata_ex} eq ""){$data{pdata_ex}="off";}
if($data{henkan} eq ""){$data{henkan}="1";}
if($data{isi_his} eq ""){$data{isi_his}="off";}
if($data{isi_tura} eq ""){$data{isi_tura}="off";}
if($data{backup} eq ""){$data{backup}="off";}
if($data{schm_x} eq ""){$data{schm_x}= "300";}
if($data{x11} eq ""){$data{x11}="0";}
if($data{y11} eq ""){$data{y11}="0";}
if($data{x12} eq ""){$data{x12}="1024";}
if($data{y12} eq ""){$data{y12}="760";}
if($data{x21} eq ""){$data{x21}="0";}
if($data{y21} eq ""){$data{y21}="0";}
if($data{x22} eq ""){$data{x22}="1024";}
if($data{y22} eq ""){$data{y22}="760";}
if($data{kigen} eq ""){$data{kigen}="off";}
if($data{kigen_m} <= 1){$data{kigen_m}="1";}
if($data{RSB_rendo} eq ""){$data{RSB_rendo}="off";}
if($data{rendou_pg} eq ""){$data{rendou_pg}="1";}
if($data{isimei} eq ""){$data{isimei}="";}
if($data{tantonomi} eq ""){$data{tantonomi}="off";}
if($data{kai2shoken} eq ""){$data{kai2shoken}="on";}
if($data{kai2kako} eq ""){$data{kai2kako}="on";}
if($data{kai2turan} eq ""){$data{kai2turan}="on";}
if($data{backup_f} eq ""){$data{backup_f}="";}
if($data{turanjun} eq ""){$data{turanjun}="";}
if($data{turan_rp} eq ""){$data{turan_rp}="off";}
if($data{turan_time} eq ""){$data{turan_time}="";}
if($data{shutdown} eq ""){$data{shutdown}="on";}
if($data{simaru} eq ""){$data{simaru}="on";}
if($data{kubun} eq ""){$data{kubun}="off";}
if($data{RSB_out} eq ""){$data{RSB_out}="off";}
if($data{gazou2kako} eq ""){$data{gazou2kako}="on";}
if($data{gogokubun} eq ""){$data{gogokubun}="13:30";}
if($data{shoken_month} eq ""){$data{shoken_month}="36";}
if($data{pdata_import} eq ""){$data{pdata_import}="off";}
if($data{hist_rendo} eq ""){$data{hist_rendo}="off";}
}
@junjo =("kj_hogo","x1","y1","x2","y2","rp_time","p_month","byome","moji1","moji2","moji3","font1","font2","font3","pdata_ex","henkan","isi_his","isi_tura","backup","schm_x","x11","y11","x12","y12","x21","y21","x22","y22","kigen","kigen_m","RSB_rendo","rendou_pg","isimei","tantonomi","kai2shoken","kai2kako","kai2turan","backup_f","turanjun","turan_rp","turan_time","shutdown","simaru","kubun","RSB_out","gazou2kako","gogokubun","shoken_month","pdata_import","hist_rendo");
foreach(@junjo){print FILE $data{$_} . "\n";}
close(FILE);
}
##############################################################




$db = "nKarte";

$table10 ="pass";

$field100 = "t";
$field101 = "";


$dbs =new Win32::ODBC("DSN=Deardoctor");

$SQL = "select * from $table10 order by $field101";
	
$dbs->Sql("$SQL");
	while ( $dbs->FetchRow() ){
		%Fields= $dbs->DataHash();
		$Cell_100 = $Fields{"$field100"};	# t
		$Cell_101 = $Fields{"$field101"};	# 

		$cntx =$Cell_101.",".$Cell_100;
		push (@isi_list,$cntx);

	}

$dbs->Close();




#####################		gslk	######################

print "content-type: text/html\n\n";

print "<html>\n";
print "<title>{ݒ</title>\n";
print "<head>\n";
print "<body bgcolor = #EEEEEE>\n";


print "<div align=right><font size=2>";
#print "$c_ver";
print "</font></div>";

print "<HR align =\"center\">";
print "<div align=\"center\">{ݒ</div>";
print "<HR align =\"center\">";

print "<form action =\"http://localhost/~rsn/C_setup2.cgi\">";

print "<p align=\"center\">";

print "Of\\֘A";
print "<br><br>";

print "\\JnWiXj<input type =\"text\" size =\"5\" name =\"x1\" value=\"$data{x1}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y1\"value=\"$data{y1}\" style = \"ime-mode:disabled\">";
print "F\\TCYiXj<input type =\"text\" size =\"5\" name =\"x2\" value=\"$data{x2}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y2\"value=\"$data{y2}\" style = \"ime-mode:disabled\">";


print "@@@tHgTCY<select name=\"font1\">";
print "<option selected>$data{font1}";
print "<option>1";
print "<option>2";
print "<option>3";
print "<option>4";
print "</select>";

print "<br><br>";

print "[hԁibj<input type =\"text\" size =\"5\" name =\"rp_time\"value=\"$data{rp_time}\" style = \"ime-mode:disabled\">";

print "@@@lیΉ<select name=\"kj_hogo\">";
print "<option selected>$data{kj_hogo}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@敪\\<select name=\"kubun\">";
print "<option selected>$data{kubun}";
print "<option>on";
print "<option>off";
print "</select>";

print "<br><br>";


print "ҏiPatData.csvjo<select name=\"pdata_ex\">";
print "<option selected>$data{pdata_ex}";
print "<option>off";
print "<option>on";
print "<option>on_2";
print "</select>";

print "on_2Ft[̃Ji[gIvVғo^ɍƃt@CQIB";

print "<br><br>";


print "ҏiPatData.csvj荞<select name=\"pdata_import\">";
print "<option selected>$data{pdata_import}";
print "<option>off";
print "<option>on";
print "</select>";

print "L on_2IAo̓f[^RS_base捞`iPatData.csvjŎ擾 RS_Base펞^p[ł̂on";

print "<br><br>";


#print "ӂ肪ȕϊ<select name=\"henkan\">";
#print "<option selected>$data{henkan}";
#print "<option>1";
#print "<option>2";
#print "<option>3";
#print "</select>";

#print "PFpJ^Ji@QFSpJ^Ji@RFЂ炪";

#print "<br><br>";

print "fÃobNAbv<select name=\"backup\">";
print "<option selected>$data{backup}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@@obNAbvtH_wi󔒉j@<input type =\"text\" size =\"30\" name =\"backup_f\" value=\"$data{backup_f}\" style = \"ime-mode:disabled\">/C_backup/"."@@)@"."D:@Ƃ@\\\\Sc430\\f@<br>";
print "<br>";

print "</p>";


print "<HR align =\"center\">";

print "<p align=\"center\">";


print "RS_Base֏ƃT}[𑗂<select name=\"RSB_out\">";
print "<option selected>$data{RSB_out}";
print "<option>on";
print "<option>off";
print "</select>";
print "@[̏ꍇ́A肵Ă[onŁAoffɂƂ悢";
print "<br><br>";





print "̏𑗂邩<input type =\"text\" size =\"5\" name =\"shoken_month\" value=\"$data{shoken_month}\" style = \"ime-mode:disabled\">";
print "i傫ƒxȂj";
print "<br><br>";





print "XɁARS_Base։v<select name=\"kai2shoken\">";
print "<option selected>$data{kai2shoken}";
print "<option>on";
print "<option>off";
print "</select>";
print "@Lon̏ꍇL";
print "<br><br>";


print "</p>";


print "<HR align =\"center\">";

print "<p align=\"center\">";
print "RS_BaseƘA<select name=\"RSB_rendo\">";
print "<option selected>$data{RSB_rendo}";
print "<option>on";
print "<option>off";
print "</select>";

print "<p align=\"center\">";
print "ߋJeƘA<select name=\"hist_rendo\">";
print "<option selected>$data{hist_rendo}";
print "<option>on";
print "<option>off";
print "</select>";


#print "@@@AΏ<select name=\"rendou_pg\">";
#print "<option selected>$data{rendou_pg}";
#print "<option>1";
#print "<option>2";
#print "<option>3";
#print "</select>";
#print "@PFRS_Base҉ʁ@QFߋJe@RFRS_Base҉ʁAߋJe";
#print "</p>";

print "<p align=\"center\">";
print "wt<input type =\"text\" size =\"20\" name =\"isimei\" value=\"$data{isimei}\" style = \"ime-mode:active\">";



print "@@OfŒS҂̂ݕ\\<select name=\"tantonomi\">";
print "<option selected>$data{tantonomi}";
print "<option>on";
print "<option>off";
print "</select>";
print "<br><br>";

print "</p>";


print "<HR align =\"center\">";

print "<p align=\"center\">";
print "ߋJe\\";
print "<br><br>";

print "\\JnWiXj<input type =\"text\" size =\"5\" name =\"x11\" value=\"$data{x11}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y11\"value=\"$data{y11}\" style = \"ime-mode:disabled\">";
print "F\\TCYiXj<input type =\"text\" size =\"5\" name =\"x12\" value=\"$data{x12}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y12\"value=\"$data{y12}\" style = \"ime-mode:disabled\">";

print "@@@tHgTCY<select name=\"font2\">";
print "<option selected>$data{font2}";
print "<option>1";
print "<option>2";
print "<option>3";
print "<option>4";
print "</select>";

print "<br><br>";

print "f@t\\<select name=\"isi_his\">";
print "<option selected>$data{isi_his}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@a\\<select name=\"byome\">";
print "<option selected>$data{byome}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@摜\\<select name=\"gazou2kako\">";
print "<option selected>$data{gazou2kako}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@Auto\\<select name=\"simaru\">";
print "<option selected>$data{simaru}";
print "<option>on";
print "<option>off";
print "</select>";
print "<br><br>";

print "\\<input type =\"text\" size =\"5\" name =\"p_month\" value=\"$data{p_month}\" style = \"ime-mode:disabled\">";
print "i݂牽O܂ł\\邩A傫ƒxȂj";
print "<br><br>";

print "ߋJe\\̕یO`FbN<select name=\"kigen\">";
print "<option selected>$data{kigen}";
print "<option>on";
print "<option>off";
print "</select>";
print "<br><br>";

#print "`FbN<input type =\"text\" size =\"5\" name =\"kigen_m\" value=\"$data{kigen_m}\" style = \"ime-mode:disabled\">";
#print "i݁AӖȂlł̂ŁAĂj";
#print "<br><br>";


print "v̕\\<select name=\"kai2kako\">";
print "<option selected>$data{kai2kako}";
print "<option>on";
print "<option>off";
print "</select>";
print "@[Xɐݒ\\";
print "<br><br>";

print "</p>";

print "<HR align =\"center\">";
print "<p align=\"center\">";
print "ߋJe\\Aʗ\\Aʁ";
print "<br><br>";
print "P<input type =\"text\" size =\"20\" name =\"moji1\" value=\"$data{moji1}\" style = \"ime-mode:active\"><br>";
print "Q<input type =\"text\" size =\"20\" name =\"moji2\" value=\"$data{moji2}\" style = \"ime-mode:active\"><br>";
print "R<input type =\"text\" size =\"20\" name =\"moji3\" value=\"$data{moji3}\" style = \"ime-mode:active\"><br>";
print "<br>";

print "VF[}TCY<input type =\"text\" size =\"5\" name =\"schm_x\" value=\"$data{schm_x}\" style = \"ime-mode:disabled\">";
print "<br>";
print "iڈ́AF100AF200AF300j";
print "<br><br>";

print "</p>";


print "<HR align =\"center\">";

print "<p align=\"center\">";

print "ʗ\\";
print "<br><br>";

print "\\JnWiXj<input type =\"text\" size =\"5\" name =\"x21\" value=\"$data{x21}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y21\"value=\"$data{y21}\" style = \"ime-mode:disabled\">";
print "F\\TCYiXj<input type =\"text\" size =\"5\" name =\"x22\" value=\"$data{x22}\" style = \"ime-mode:disabled\">";
print "iYj<input type =\"text\" size =\"5\" name =\"y22\"value=\"$data{y22}\" style = \"ime-mode:disabled\">";


print "@@@tHgTCY<select name=\"font3\">";
print "<option selected>$data{font3}";
print "<option>1";
print "<option>2";
print "<option>3";
print "<option>4";
print "</select>";

print "<br><br>";

print "f@t\\<select name=\"isi_tura\">";
print "<option selected>$data{isi_tura}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@@ߑOߌ㋫E";
print "<input type =\"text\" size =\"6\" name =\"gogokubun\" value=\"$data{gogokubun}\" style = \"ime-mode:disabled\">";
print "@pŁA13:30@ƂA15:00@Ɠ͂Ă";
print "<br><br>";

print "f@<select name=\"turanjun\">";
print "<option selected>$data{turanjun}";
print "<option>";
print "<option>~";
print "</select>";

print "@@[h<select name=\"turan_rp\">";
print "<option selected>$data{turan_rp}";
print "<option>on";
print "<option>off";
print "</select>";

print "@@[hԁibj<input type =\"text\" size =\"5\" name =\"turan_time\"value=\"$data{turan_time}\" style = \"ime-mode:disabled\">";

print "<br><br>";


print "v̕\\<select name=\"kai2turan\">";
print "<option selected>$data{kai2turan}";
print "<option>on";
print "<option>off";
print "</select>";
print "@[Xɐݒ\\";
print "<br><br>";

print "</p>";


print "<HR align =\"center\">";
print "<p align=\"center\">";
print "<input type =\"submit\" value=\"\">";
print "<font size =\"3\" color=\"red\">ύX͕KĉB</font>";
print "<input type=button value= \"\" onClick= window.close()>";
print "</p>";


print "</form>";



print "</body>\n";
print "</html>\n";

##########################################################

$ENV{'QUERY_STRING'} = "";
